commit:     2f26bfaba14402ec48151348b834a76c36398059
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  9 12:04:39 2024 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar  9 12:04:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f26bfab

app-crypt/yubioath-flutter-bin: add 6.4.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-crypt/yubioath-flutter-bin/Manifest            |  1 +
 .../yubioath-flutter-bin-6.4.0.ebuild              | 79 ++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/app-crypt/yubioath-flutter-bin/Manifest 
b/app-crypt/yubioath-flutter-bin/Manifest
index 032dd4bd4931..02ae2194441e 100644
--- a/app-crypt/yubioath-flutter-bin/Manifest
+++ b/app-crypt/yubioath-flutter-bin/Manifest
@@ -1 +1,2 @@
 DIST yubico-authenticator-6.1.0-linux.tar.gz 46363854 BLAKE2B 
f50f8dc6cdca9044c9c1a0f370cc71d627358038bd00f34bb3801d9b5cc31a5fc904ba817e5ad613c6947c9546691d965e6b373c89e220314747a5eb0321e217
 SHA512 
e4a63aa40e06ae4cbeee5fc32b749bcc94c9a22b86104ff32e8f94dcd34cf0a0e61e686efd4a21ea8965f37e997f53d452739bb4c332af2387473dccd5b72b99
+DIST yubico-authenticator-6.4.0-linux.tar.gz 34381501 BLAKE2B 
472de3d5a3a0dc2f604f3626d50850dd28ab1ae70219dff9d98b91005f2899643f1aa2e7ceb9d7019acc42aaa61fad9b14f6adf8465e1cb0a0ad8bbb19872a00
 SHA512 
a9cb633233ed142edf288483f3e0e109c10fa01cf3639388403983ac8336df7fcd47d4dedfe76c7fa7b35fa643668a06a185fe1ae4875a7e3729db9b738c8f86

diff --git a/app-crypt/yubioath-flutter-bin/yubioath-flutter-bin-6.4.0.ebuild 
b/app-crypt/yubioath-flutter-bin/yubioath-flutter-bin-6.4.0.ebuild
new file mode 100644
index 000000000000..2de2d7c0e0f2
--- /dev/null
+++ b/app-crypt/yubioath-flutter-bin/yubioath-flutter-bin-6.4.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Yubico Authenticator for TOTP"
+HOMEPAGE="
+       https://developers.yubico.com/yubioath-flutter/
+       https://github.com/Yubico/yubioath-flutter";
+SRC_URI="https://github.com/Yubico/yubioath-flutter/releases/download/${PV}/yubico-authenticator-${PV}-linux.tar.gz";
+S="${WORKDIR}/yubico-authenticator-${PV}-linux"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+RDEPEND="
+       app-accessibility/at-spi2-core:2
+       app-crypt/ccid
+       dev-libs/glib:2
+       media-libs/libepoxy
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libxcb
+       x11-libs/pango"
+BDEPEND="app-admin/chrpath"
+
+# "Modern" app, built using Google's flutter framework.
+#
+# Don't even *think* about unbundling the dependencies, they're all
+# hardcoded into the main binary and the helper, including but not
+# limited to a full-fledged python interpreter that gets dlopen'd, an
+# assortment of python packages, the X11 kitchen sink, random GCC
+# libraries, and OpenSSL 1.1, oftentimes using git checkouts instead of
+# released versioned libraries.
+#
+# The only way to avoid this mess would be to build flutter from source,
+# but unfortunately life is too short to be dealing with whatever is
+# Google's framework-de-jour on a regular basis.
+QA_PREBUILT="opt/yubico-authenticator/*"
+
+src_install() {
+       einstalldocs
+       rm -r README* || die
+
+       sed -e 's|@EXEC_PATH/authenticator|authenticator|' \
+               -e 
's|@EXEC_PATH/linux_support/com.yubico.yubioath.png|com.yubico.yubioath|g' \
+               -i linux_support/com.yubico.authenticator.desktop || die
+       domenu linux_support/com.yubico.authenticator.desktop
+       doicon -s 128 linux_support/com.yubico.yubioath.png
+       rm -r linux_support || die
+
+       exeinto /opt/yubico-authenticator
+       doexe authenticator
+       rm authenticator || die
+
+       exeinto /opt/yubico-authenticator/helper
+       doexe helper/authenticator-helper
+       rm helper/authenticator-helper || die
+
+       # prevent rpath_security_checks() trigger
+       chrpath -d helper/_internal/libjpeg-*.so* 
helper/_internal/pillow.libs/libjpeg-*.so* || die
+
+       insinto /opt/yubico-authenticator
+       doins -r .
+
+       dosym ../../opt/yubico-authenticator/authenticator 
/usr/bin/authenticator
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       elog "Make sure you are a member of the pcscd group"
+       elog "and the pcscd service is running."
+}

Reply via email to